{
    "name": "test-task-resort",
    "version": "0.1.0",
    "private": true,
    "scripts": {
        "css": "node config/css/css.js",
        "ssr": "cross-env NODE_ENV=development ts-node config/ssr/start.ts",
        "spa": "cross-env NODE_ENV=development webpack serve --config config/webpack.serve.js",
        "build:server": "cross-env NODE_ENV=development webpack --config config/server.config.js",
        "s:client": "cross-env APP_TARGET=client webpack --config ./config/client.config.ts",
        "s:server": "cross-env APP_TARGET=server webpack --config ./config/server.config.js",
        "build": "cross-env NODE_ENV=production run-s s:client s:server",
        "build-dev": "cross-env NODE_ENV=development run-s s:client s:server",
        "build-mini": "cross-env NODE_ENV=production CLOUD_STATIC=cloud MINIFY=minify run-s s:client s:server",
        "server": "ts-node ./server.ts",
        "lint": "eslint src --ext .ts --ext .vue",
        "lint:fix": "eslint src --ext .ts --ext .vue --fix",
        "serve": "webpack serve --config ./config/serve.ts",
        "webp": "ts-node ./src/images.ts"
    },
    "dependencies": {
        "@types/sharp": "^0.30.1",
        "@types/webpack-dev-server": "^4.7.2",
        "clean-webpack-plugin": "^4.0.0",
        "css-loader": "^6.5.1",
        "css-minimizer-webpack-plugin": "^3.1.1",
        "es6-promise": "^4.2.8",
        "file-loader": "^6.2.0",
        "html-webpack-plugin": "^5.5.0",
        "less": "4.1.2",
        "less-loader": "10.2.0",
        "mini-css-extract-plugin": "^2.4.3",
        "npm-run-all": "^4.1.5",
        "null-loader": "^4.0.1",
        "postcss": "^8.4.6",
        "postcss-less": "^6.0.0",
        "postcss-loader": "^6.2.1",
        "sharp": "^0.30.3",
        "svgo-loader": "^3.0.0",
        "tiny-emitter": "^2.1.0",
        "ts-loader": "^9.2.6",
        "tslib": "^2.3.1",
        "vue": "^3.2.20",
        "vue-class-component": "^8.0.0-0",
        "vue-loader": "^16.8.2",
        "vue-property-decorator": "^10.0.0-rc.3",
        "vue-template-compiler": "^2.6.14",
        "webpack": "^5.0.0",
        "webpack-cli": "^4.9.1",
        "webpack-manifest-plugin": "^4.0.2",
        "webpack-merge": "^5.8.0",
        "webpack-node-externals": "^3.0.0"
    },
    "devDependencies": {
        "@types/copy-webpack-plugin": "^10.1.0",
        "@types/node": "^16.11.6",
        "@types/postcss-less": "^4.0.2",
        "@typescript-eslint/eslint-plugin": "^4.31.0",
        "@typescript-eslint/parser": "^4.31.0",
        "@vue/cli": "^5.0.4",
        "@vue/cli-plugin-router": "^4.5.15",
        "@vue/cli-plugin-typescript": "^5.0.4",
        "@vue/cli-plugin-vuex": "^4.5.15",
        "@vue/cli-service": "^5.0.4",
        "@vue/cli-service-global": "^3.12.1",
        "@vue/compiler-sfc": "^3.0.0",
        "@vue/eslint-config-airbnb": "^6.0.0",
        "@vue/eslint-config-standard": "^5.1.2",
        "@vue/eslint-config-typescript": "^7.0.0",
        "copy-webpack-plugin": "^10.2.4",
        "cross-env": "^7.0.3",
        "nodemon": "^2.0.14",
        "ts-node": "^10.4.0",
        "typescript": "~4.1.5",
        "webpack-dev-server": "^4.7.4"
    }
}
